HttpServer.QuotingInputFilter.RequestQuoter (Hadoop 0.20.2-cdh3u5 API)
Date: 2012-10-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.http
Class HttpServer.QuotingInputFilter.RequestQuoter

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.apache.hadoop.http.HttpServer.QuotingInputFilter.RequestQuoter

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

Enclosing class:
  HttpServer.QuotingInputFilter

    public static class HttpServer.QuotingInputFilter.RequestQuoter

extends javax.servlet.http.HttpServletRequestWrapper

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`HttpServer.QuotingInputFilter.RequestQuoter(javax.servlet.http.HttpServletRequest rawRequest)`

Method Summary
`String` | `getParameter(String name)` Unquote the name and quote the value.
`Map<String,String[]>` | `getParameterMap()`
`Enumeration<String>` | `getParameterNames()` Return the set of parameter names, quoting each name.
`String[]` | `getParameterValues(String name)`
`StringBuffer` | `getRequestURL()` Quote the url so that users specifying the HOST HTTP header can't inject attacks.
`String` | `getServerName()` Quote the server name so that users specifying the HOST HTTP header can't inject attacks.

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper
`getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Constructor Detail

### HttpServer.QuotingInputFilter.RequestQuoter

    public HttpServer.QuotingInputFilter.RequestQuoter(javax.servlet.http.HttpServletRequest rawRequest)

Method Detail

### getParameterNames

    public Enumeration<String> getParameterNames()

  Return the set of parameter names, quoting each name.

  Specified by:
    `getParameterNames` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterNames` in class `javax.servlet.ServletRequestWrapper`

### getParameter

    public String getParameter(String name)

  Unquote the name and quote the value.

  Specified by:
    `getParameter` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameter` in class `javax.servlet.ServletRequestWrapper`

### getParameterValues

    public String[] getParameterValues(String name)

  Specified by:
    `getParameterValues` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterValues` in class `javax.servlet.ServletRequestWrapper`

### getParameterMap

    public Map<String,String[]> getParameterMap()

  Specified by:
    `getParameterMap` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterMap` in class `javax.servlet.ServletRequestWrapper`

### getRequestURL

    public StringBuffer getRequestURL()

  Quote the url so that users specifying the HOST HTTP header can't inject attacks.

  Specified by:
    `getRequestURL` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getRequestURL` in class `javax.servlet.http.HttpServletRequestWrapper`

### getServerName

    public String getServerName()

  Quote the server name so that users specifying the HOST HTTP header can't inject attacks.

  Specified by:
    `getServerName` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getServerName` in class `javax.servlet.ServletRequestWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation